package pangram

import "strings"

const testVersion = 1

func IsPangram(inp string) bool {
	used := make(map[rune]int)
	inp = strings.ToLower(inp)
	for _, l := range inp {
		used[l] = used[l] + 1
	}

	for i := 'a'; i <= 'z'; i++ {
		if used[i] == 0 {
			return false
		}
	}
	return true
}
